### Struct

# Gtk PrintSetup

since: 4.14

#### Description [src]

    struct GtkPrintSetup {
      /* No available fields */
    }

A `GtkPrintSetup` is an auxiliary object for printing that allows decoupling the setup from the printing.

A print setup is obtained by calling `gtk_print_dialog_setup()`, and can later be passed to print functions such as `gtk_print_dialog_print()`.

Print setups can be reused for multiple print calls.

Applications may wish to store the page_setup and print_settings from the print setup and copy them to the PrintDialog if they want to keep using them.

Available since: 4.14

#### Instance methods

###### gtk_print_setup_get_page_setup

Returns the page setup of `setup`.

since: 4.14

###### gtk_print_setup_get_print_settings

Returns the print settings of `setup`.

since: 4.14

###### gtk_print_setup_ref

Increase the reference count of `setup`.

since: 4.14

###### gtk_print_setup_unref

Decrease the reference count of `setup`.

since: 4.14